#
# spec file for package obs-service-product_converter
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service product_converter

Name:           obs-service-%service
Version:        1.1.2
Release:        lp150.1.3
Summary:        An OBS source service: create product media build descriptions
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         %name-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  perl(XML::Structured)
Requires:       perl(XML::Structured)
# workaround for missing requires of perl-XML-structured
BuildRequires:  perl-XML-Parser
Requires:       perl-XML-Parser

%description
Use this product converter to create product builds for openSUSE Tumbleweed or
SLE 15.

%prep
%setup -q

%build

%install
mkdir -p %buildroot%{_prefix}/lib/obs/service
install -m 0644 *.pm product_converter.service \
   %buildroot%{_prefix}/lib/obs/service
install -m 0755 create_single_product product_converter \
   %buildroot%{_prefix}/lib/obs/service

%check
# minimal test
rm -rf test/outdir
mkdir -p test/outdir
cd test/simple_product
PERL5LIB=%buildroot%{_prefix}/lib/obs/service ../../product_converter --outdir $PWD/../outdir/ || exit 1
cd ../outdir/
for file in _multibuild  simple-cd-cd-i586_x86_64.kiwi  simple-cd-cd-i586_x86_64.kwd  simple-release.spec
do
  if [ ! -e "$file" ]; then
    echo "ERROR $file missing"
    exit 1
  fi
done

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%doc COPYING
%{_prefix}/lib/obs/service

%changelog
* Wed Feb  7 2018 adrian@suse.de
- update to 1.1.2
  * skip repos which only provide a URL for installed prod file
* Thu Feb  1 2018 adrian@suse.de
- update to 1.1.1
  * support listig of pool repositories in sle mode for installed
    .prod files. (FATE#323664)
  * drop all old code pathes before Leap 15 / SLE 15
* Thu Oct 12 2017 coolo@suse.com
- escape literal { in regexp
* Thu Oct 12 2017 coolo@suse.com
- fix perl path for %%check
* Thu Oct  5 2017 adrian@suse.de
- seperate -> seperate option rename
* Mon Oct  2 2017 adrian@suse.de
- add ID_LIKE to /etc/os-release (bsc#1058465)
* Fri Sep 22 2017 adrian@suse.de
- seperate media are an explicit setting now
- fixed GPL license file
* Wed Aug  9 2017 adrian@suse.de
- allow user to predefine _multibuild file
* Tue Jun 20 2017 adrian@suse.de
- minor cleanup
* Thu Mar 16 2017 adrian@suse.de
- add test case
* Mon Feb 13 2017 adrian@suse.de
- initial version
